Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface ITableAttributes

All Known Implementing Classes:
  RtfTableRow

    public interface ITableAttributes

Constants for RTF table attribute names.

This work was authored by Boris Pouderous and Chris Scott.

Field Summary
`static java.lang.String` | `ATTR_CELL_PADDING_BOTTOM` cell padding, bottom
`static java.lang.String` | `ATTR_CELL_PADDING_LEFT` cell padding, left
`static java.lang.String` | `ATTR_CELL_PADDING_RIGHT` cell padding, right
`static java.lang.String` | `ATTR_CELL_PADDING_TOP` cell padding, top
`static java.lang.String` | `ATTR_CELL_U_PADDING_BOTTOM` cell padding, bottom
`static java.lang.String` | `ATTR_CELL_U_PADDING_LEFT` cell padding, left
`static java.lang.String` | `ATTR_CELL_U_PADDING_RIGHT` cell padding, right
`static java.lang.String` | `ATTR_CELL_U_PADDING_TOP` cell padding, top
`static java.lang.String` | `ATTR_CELL_VERT_ALIGN_BOTTOM` cell alignment, bottom
`static java.lang.String` | `ATTR_CELL_VERT_ALIGN_CENTER` cell alignment, center
`static java.lang.String` | `ATTR_CELL_VERT_ALIGN_TOP` cell alignment, top
`static java.lang.String` | `ATTR_HEADER` table row header
`static java.lang.String` | `ATTR_ROW_LEFT_INDENT` Position of the leftmost edge of the table with respect to the left edge of its column
`static java.lang.String` | `ATTR_ROW_PADDING_BOTTOM` table row padding, bottom
`static java.lang.String` | `ATTR_ROW_PADDING_LEFT` table row padding, left
`static java.lang.String` | `ATTR_ROW_PADDING_RIGHT` table row padding, right
`static java.lang.String` | `ATTR_ROW_PADDING_TOP` table row padding, top
`static java.lang.String` | `ATTR_ROW_U_PADDING_BOTTOM` table row padding, bottom
`static java.lang.String` | `ATTR_ROW_U_PADDING_LEFT` table row padding, left
`static java.lang.String` | `ATTR_ROW_U_PADDING_RIGHT` table row padding, right
`static java.lang.String` | `ATTR_ROW_U_PADDING_TOP` table row padding, top
`static java.lang.String` | `ATTR_RTF_15_TRGAPH` half the space between the cells of a table row in twips
`static java.lang.String[]` | `ATTRIB_CELL_PADDING` List of ALL CELL PADDING attributes, used to select them when writing attributes
`static java.lang.String[]` | `ATTRIB_ROW_PADDING` List of ALL ROW PADDING attributes, used to select them when writing attributes
`static java.lang.String[]` | `CELL_BORDER` List of ALL CELL BORDER attributes, used to select them when writing attributes
`static java.lang.String` | `CELL_BORDER_BOTTOM` cell border, bottom
`static java.lang.String` | `CELL_BORDER_LEFT` cell border, left
`static java.lang.String` | `CELL_BORDER_RIGHT` cell border, right
`static java.lang.String` | `CELL_BORDER_TOP` cell border, top
`static java.lang.String[]` | `CELL_COLOR` List of ALL CELL SHADING AND COLOR attributes, used to select them when writing attributes
`static java.lang.String` | `CELL_COLOR_BACKGROUND` cell background color, a unit-based attribute
`static java.lang.String` | `CELL_COLOR_FOREGROUND` cell foreground color, a unit-based attribute
`static java.lang.String` | `CELL_SHADE` cell shading, a unit-based attribute
`static java.lang.String[]` | `CELL_VERT_ALIGN` List of ALL vertical alignment attributes, used to select them when writing attributes
`static java.lang.String` | `COLUMN_SPAN` to process column spanning
`static java.lang.String[]` | `ROW_BORDER` List of ALL ROW BORDER attributes, used to select them when writing attributes
`static java.lang.String` | `ROW_BORDER_BOTTOM` row border, bottom
`static java.lang.String` | `ROW_BORDER_HORIZONTAL` row border, horizontal
`static java.lang.String` | `ROW_BORDER_LEFT` row border, left
`static java.lang.String` | `ROW_BORDER_RIGHT` row border, right
`static java.lang.String` | `ROW_BORDER_TOP` row border, top
`static java.lang.String` | `ROW_BORDER_VERTICAL` row border, vertical
`static java.lang.String` | `ROW_HEIGHT` Height of a table row in twips
`static java.lang.String` | `ROW_KEEP_TOGETHER` row attribute, keep-together
`static java.lang.String` | `ROW_KEEP_WITH_NEXT` This control word is nonexistent in RTF, used to simulate the FO:keep-with-next attribute.
`static java.lang.String` | `ROW_KEEP_WITH_PREVIOUS` This control word is nonexistent in RTF, used to simulate the FO:keep-with-previous attribute.
`static java.lang.String` | `ROW_SPAN` to process row spanning

Field Detail

### COLUMN_SPAN

    static final java.lang.String COLUMN_SPAN

  to process column spanning

  See Also:
    Constant Field Values

### ROW_SPAN

    static final java.lang.String ROW_SPAN

  to process row spanning

  See Also:
    Constant Field Values

### ATTR_RTF_15_TRGAPH

    static final java.lang.String ATTR_RTF_15_TRGAPH

  half the space between the cells of a table row in twips

  See Also:
    Constant Field Values

### ATTR_ROW_LEFT_INDENT

    static final java.lang.String ATTR_ROW_LEFT_INDENT

  Position of the leftmost edge of the table with respect to the left edge of its column

  See Also:
    Constant Field Values

### ATTR_HEADER

    static final java.lang.String ATTR_HEADER

  table row header

  See Also:
    Constant Field Values

### ATTR_ROW_PADDING_TOP

    static final java.lang.String ATTR_ROW_PADDING_TOP

  table row padding, top

  See Also:
    Constant Field Values

### ATTR_ROW_PADDING_BOTTOM

    static final java.lang.String ATTR_ROW_PADDING_BOTTOM

  table row padding, bottom

  See Also:
    Constant Field Values

### ATTR_ROW_PADDING_LEFT

    static final java.lang.String ATTR_ROW_PADDING_LEFT

  table row padding, left

  See Also:
    Constant Field Values

### ATTR_ROW_PADDING_RIGHT

    static final java.lang.String ATTR_ROW_PADDING_RIGHT

  table row padding, right

  See Also:
    Constant Field Values

### ATTR_ROW_U_PADDING_TOP

    static final java.lang.String ATTR_ROW_U_PADDING_TOP

  table row padding, top

  See Also:
    Constant Field Values

### ATTR_ROW_U_PADDING_BOTTOM

    static final java.lang.String ATTR_ROW_U_PADDING_BOTTOM

  table row padding, bottom

  See Also:
    Constant Field Values

### ATTR_ROW_U_PADDING_LEFT

    static final java.lang.String ATTR_ROW_U_PADDING_LEFT

  table row padding, left

  See Also:
    Constant Field Values

### ATTR_ROW_U_PADDING_RIGHT

    static final java.lang.String ATTR_ROW_U_PADDING_RIGHT

  table row padding, right

  See Also:
    Constant Field Values

### ATTRIB_ROW_PADDING

    static final java.lang.String[] ATTRIB_ROW_PADDING

  List of ALL ROW PADDING attributes, used to select them when writing attributes

### ATTR_CELL_PADDING_TOP

    static final java.lang.String ATTR_CELL_PADDING_TOP

  cell padding, top

  See Also:
    Constant Field Values

### ATTR_CELL_PADDING_BOTTOM

    static final java.lang.String ATTR_CELL_PADDING_BOTTOM

  cell padding, bottom

  See Also:
    Constant Field Values

### ATTR_CELL_PADDING_LEFT

    static final java.lang.String ATTR_CELL_PADDING_LEFT

  cell padding, left

  See Also:
    Constant Field Values

### ATTR_CELL_PADDING_RIGHT

    static final java.lang.String ATTR_CELL_PADDING_RIGHT

  cell padding, right

  See Also:
    Constant Field Values

### ATTR_CELL_U_PADDING_TOP

    static final java.lang.String ATTR_CELL_U_PADDING_TOP

  cell padding, top

  See Also:
    Constant Field Values

### ATTR_CELL_U_PADDING_BOTTOM

    static final java.lang.String ATTR_CELL_U_PADDING_BOTTOM

  cell padding, bottom

  See Also:
    Constant Field Values

### ATTR_CELL_U_PADDING_LEFT

    static final java.lang.String ATTR_CELL_U_PADDING_LEFT

  cell padding, left

  See Also:
    Constant Field Values

### ATTR_CELL_U_PADDING_RIGHT

    static final java.lang.String ATTR_CELL_U_PADDING_RIGHT

  cell padding, right

  See Also:
    Constant Field Values

### CELL_BORDER_TOP

    static final java.lang.String CELL_BORDER_TOP

  cell border, top

  See Also:
    Constant Field Values

### CELL_BORDER_BOTTOM

    static final java.lang.String CELL_BORDER_BOTTOM

  cell border, bottom

  See Also:
    Constant Field Values

### CELL_BORDER_LEFT

    static final java.lang.String CELL_BORDER_LEFT

  cell border, left

  See Also:
    Constant Field Values

### CELL_BORDER_RIGHT

    static final java.lang.String CELL_BORDER_RIGHT

  cell border, right

  See Also:
    Constant Field Values

### ATTR_CELL_VERT_ALIGN_TOP

    static final java.lang.String ATTR_CELL_VERT_ALIGN_TOP

  cell alignment, top

  See Also:
    Constant Field Values

### ATTR_CELL_VERT_ALIGN_CENTER

    static final java.lang.String ATTR_CELL_VERT_ALIGN_CENTER

  cell alignment, center

  See Also:
    Constant Field Values

### ATTR_CELL_VERT_ALIGN_BOTTOM

    static final java.lang.String ATTR_CELL_VERT_ALIGN_BOTTOM

  cell alignment, bottom

  See Also:
    Constant Field Values

### ROW_BORDER_TOP

    static final java.lang.String ROW_BORDER_TOP

  row border, top

  See Also:
    Constant Field Values

### ROW_BORDER_BOTTOM

    static final java.lang.String ROW_BORDER_BOTTOM

  row border, bottom

  See Also:
    Constant Field Values

### ROW_BORDER_LEFT

    static final java.lang.String ROW_BORDER_LEFT

  row border, left

  See Also:
    Constant Field Values

### ROW_BORDER_RIGHT

    static final java.lang.String ROW_BORDER_RIGHT

  row border, right

  See Also:
    Constant Field Values

### ROW_BORDER_HORIZONTAL

    static final java.lang.String ROW_BORDER_HORIZONTAL

  row border, horizontal

  See Also:
    Constant Field Values

### ROW_BORDER_VERTICAL

    static final java.lang.String ROW_BORDER_VERTICAL

  row border, vertical

  See Also:
    Constant Field Values

### ROW_KEEP_TOGETHER

    static final java.lang.String ROW_KEEP_TOGETHER

  row attribute, keep-together

  See Also:
    Constant Field Values

### ROW_HEIGHT

    static final java.lang.String ROW_HEIGHT

  Height of a table row in twips

  See Also:
    Constant Field Values

### ROW_KEEP_WITH_NEXT

    static final java.lang.String ROW_KEEP_WITH_NEXT

  This control word is nonexistent in RTF, used to simulate the FO:keep-with-next attribute.

  See Also:
    Constant Field Values

### ROW_KEEP_WITH_PREVIOUS

    static final java.lang.String ROW_KEEP_WITH_PREVIOUS

  This control word is nonexistent in RTF, used to simulate the FO:keep-with-previous attribute.

  See Also:
    Constant Field Values

### CELL_SHADE

    static final java.lang.String CELL_SHADE

  cell shading, a unit-based attribute

  See Also:
    Constant Field Values

### CELL_COLOR_BACKGROUND

    static final java.lang.String CELL_COLOR_BACKGROUND

  cell background color, a unit-based attribute

  See Also:
    Constant Field Values

### CELL_COLOR_FOREGROUND

    static final java.lang.String CELL_COLOR_FOREGROUND

  cell foreground color, a unit-based attribute

  See Also:
    Constant Field Values

### ATTRIB_CELL_PADDING

    static final java.lang.String[] ATTRIB_CELL_PADDING

  List of ALL CELL PADDING attributes, used to select them when writing attributes

### CELL_BORDER

    static final java.lang.String[] CELL_BORDER

  List of ALL CELL BORDER attributes, used to select them when writing attributes

### ROW_BORDER

    static final java.lang.String[] ROW_BORDER

  List of ALL ROW BORDER attributes, used to select them when writing attributes

### CELL_COLOR

    static final java.lang.String[] CELL_COLOR

  List of ALL CELL SHADING AND COLOR attributes, used to select them when writing attributes

### CELL_VERT_ALIGN

    static final java.lang.String[] CELL_VERT_ALIGN

  List of ALL vertical alignment attributes, used to select them when writing attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.